Page MenuHomePhabricator

Explain decrease in number of patchset authors for same time span when accessed 3 months later
Closed, DeclinedPublic

Description

In https://meta.wikimedia.org/w/index.php?title=Technical_Collaboration/Metrics&oldid=17592704#Onboarding_New_Developers we listed 180 devs for Jul-Sep2017, with the source as https://wikimedia.biterg.io/goto/63095b315e9427b0ddf295da7cb3bf26 only displaying "Independent" affiliation and manually excluding some people who are not independent.
Going to that link now, I see 149 developers instead of 180.

Same for Q2/2017: 162 -> 146.

Also, https://wikimedia.biterg.io/goto/53b33800dcd4cdc4551f3fb6d282036e (a KPI) says now "214 changeset submitters" for September 2017, but in early October 2017 the very same query said "242 changeset submitters".

Maybe some affiliation updates in the DB in the meantime, to remove some people who were actually not "Independent"?
Maybe something else?

Also see T184420: Explain difference in number of repositories when trying to manually exclude imported third party repositories.

Event Timeline

Aklapper triaged this task as High priority.Jan 8 2018, 1:28 PM
Aklapper created this task.
Aklapper renamed this task from Explain decrease in number of volunteer patchset authors for same time span when accessed 3 months later to Explain decrease in number of patchset authors for same time span when accessed 3 months later.Jan 11 2018, 1:45 PM
Aklapper updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)
Aklapper lowered the priority of this task from High to Medium.Jan 18 2018, 2:47 PM

I saved the CSV data for Dec2017 and Oct-Dec2017 locally and will check for any changes in the a few weeks to see a pattern.

Aklapper lowered the priority of this task from Medium to Low.Jan 22 2018, 11:41 PM

I saved the CSV data for Dec2017 and Oct-Dec2017 locally and will check for any changes in the a few weeks to see a pattern.

So far the problem seems to have magically vanished / not reoccurred.

Details:

Q4/2017:
On 20180115, from https://wikimedia.biterg.io/goto/9abc56afdaa19f4a59a4c22ae32f3fa1 Oct-Dec2017 on https://wikimedia.biterg.io/app/kibana#/dashboard/Gerrit, it states 288 devs at the top and 288 entries in list below.
On 20180301, it states 289 devs at the top.
After using only the user names (remove all other columnsin the CSV) and sorting alphabetically:

$:acko\> diff -pu gerrit_top_developers-2017OctDec-on20180115.csv gerrit_top_developers-2017OctDec-on20180301.csv
--- gerrit_top_developers-2017OctDec-on20180115.csv	2018-03-01 20:19:20.845835856 +0100
+++ gerrit_top_developers-2017OctDec-on20180301.csv	2018-03-01 20:18:51.670962661 +0100
@@ -121,6 +115,7 @@ Jayprakash
 Jayprakash12345
 Jcasariego
 Jcrespo
+Jdlrobson
 Jdrewniak
 Jean-Frédéric
 Jeroen De Dauw
@@ -215,7 +210,6 @@ Phedenskog
 Phuedx
 Pmiazga
 Pmiguelpirzer
-PortalsBuilder
 Ppchelko
 Pppery
 Prtksxna

Those are expected changes (PortalsBuilder was marked as a bot in the meantime and the Jdlrobson account was split from the BarryBrowserBot account.)

Dec2017:
On 20180115, stated 211 devs at the top and 212 entries in list below. On 20180301, states 211 devs at the top.
Same diff -pu output as above.

The artifact we saw might have been related to

I might give this another comparison at the beginning of April, but so far things seem to not be reproducible anymore. Hence likely declined.

Aklapper changed the task status from Open to Stalled.Mar 1 2018, 7:37 PM
Aklapper closed this task as Resolved.Apr 4 2018, 4:35 PM

On 20180404, exactly the same results as in T184427#4015304 for 20180301.

Potential explanations in T184427#4015311 but nothing left to investigate for the time being.

Aklapper changed the task status from Resolved to Declined.Apr 4 2018, 4:35 PM

Well, changing task status to 'declined' as I cannot reproduce anymore - not that I found a definite explanation...

238482n375 removed Aklapper as the assignee of this task.Jun 15 2018, 8:02 AM
238482n375 lowered the priority of this task from Low to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpUYWdzCgogICAgQW5hbHl0aWNzLUthbmJhbiAoSW4gUHJvZ3Jlc3MpCgpTdWJzY3JpYmVycwpBa2xhcHBlciwgSkFsbGVtYW5kb3UKQXNzaWduZWQgVG8KSkFsbGVtYW5kb3UKQXV0aG9yZWQgQnkKSkFsbGVtYW5kb3UsIEZyaSwgSnVuIDE1CkRlc2NyaXB0aW9uCgpPb3ppZSBqb2JzIGhhdmUgYmVlbiBmYWlsaW5nIGF0IGxlYXN0IGEgZmV3IHRpbWVzIGVhY2guIE1vcmUgaW52ZXN0aWdhdGlvbiBuZWVkZWQuCkpBbGxlbWFuZG91IGNyZWF0ZWQgdGhpcyB0YXNrLkZyaSwgSnVuIDE1LCA3OjIxIEFNCkhlcmFsZCBhZGRlZCBhIHN1YnNjcmliZXI6IEFrbGFwcGVyLiC3IFZpZXcgSGVyYWxkIFRyYW5zY3JpcHRGcmksIEp1biAxNSwgNzoyMSBBTQpKQWxsZW1hbmRvdSBjbGFpbWVkIHRoaXMgdGFzay5GcmksIEp1biAxNSwgNzoyMiBBTQpKQWxsZW1hbmRvdSB1cGRhdGVkIHRoZSB0YXNrIGRlc2NyaXB0aW9uLiAoU2hvdyBEZXRhaWxzKQpKQWxsZW1hbmRvdSBhZGRlZCBhIHByb2plY3Q6IEFuYWx5dGljcy1LYW5iYW4uCkpBbGxlbWFuZG91IG1vdmVkIHRoaXMgdGFzayBmcm9tIE5leHQgVXAgdG8gSW4gUHJvZ3Jlc3Mgb24gdGhlIEFuYWx5dGljcy1LYW5iYW4gYm9hcmQuCkNoYW5nZSBTdWJzY3JpYmVycwpDaGFuZ2UgUHJpb3JpdHkKQXNzaWduIC8gQ2xhaW0KTW92ZSBvbiBXb3JrYm9hcmQKQ2hhbmdlIFByb2plY3QgVGFncwpBbmFseXRpY3MtS2FuYmFuCtcKU2VjdXJpdHkK1wpXaWtpbWVkaWEtVkUtQ2FtcGFpZ25zIChTMi0yMDE4KQrXClNjYXAK1wpTY2FwIChTY2FwMy1BZG9wdGlvbi1QaGFzZTIpCtcKQWJ1c2VGaWx0ZXIK1wpEYXRhLXJlbGVhc2UK1wpIYXNodGFncwrXCkxhYnNEQi1BdWRpdG9yCtcKTGFkaWVzLVRoYXQtRk9TUy1NZWRpYVdpa2kK1wpMYW5ndWFnZS0yMDE4LUFwci1KdW5lCtcKTGFuZ3VhZ2UtMjAxOC1KYW4tTWFyCtcKSEhWTQrXCkhBV2VsY29tZQrXCkJvbGQKSXRhbGljcwpNb25vc3BhY2VkCkxpbmsKQnVsbGV0ZWQgTGlzdApOdW1iZXJlZCBMaXN0CkNvZGUgQmxvY2sKUXVvdGUKVGFibGUKVXBsb2FkIEZpbGUKTWVtZQpQcmV2aWV3CkhlbHAKRnVsbHNjcmVlbiBNb2RlClBpbiBGb3JtIE9uIFNjcmVlbgoyMzg0ODJuMzc1IGFkZGVkIHByb2plY3RzOiBTZWN1cml0eSwgV2lraW1lZGlhLVZFLUNhbXBhaWducyAoUzItMjAxOCksIFNjYXAgKFNjYXAzLUFkb3B0aW9uLVBoYXNlMiksIEFidXNlRmlsdGVyLCBEYXRhLXJlbGVhc2UsIEhhc2h0YWdzLCBMYWJzREItQXVkaXRvciwgTGFkaWVzLVRoYXQtRk9TUy1NZWRpYVdpa2ksIExhbmd1YWdlLTIwMTgtQXByLUp1bmUsIExhbmd1YWdlLTIwMTgtSmFuLU1hciwgSEhWTSwgSEFXZWxjb21lLlBSRVZJRVcKMjM4NDgybjM3NSBtb3ZlZCB0aGlzIHRhc2sgZnJvbSBJbiBQcm9ncmVzcyB0byBJbiBDb2RlIFJldmlldyBvbiB0aGUgQW5hbHl0aWNzLUthbmJhbiBib2FyZC4KMjM4NDgybjM3NSByZW1vdmVkIEpBbGxlbWFuZG91IGFzIHRoZSBhc3NpZ25lZSBvZiB0aGlzIHRhc2suCjIzODQ4Mm4zNzUgdHJpYWdlZCB0aGlzIHRhc2sgYXMgTG93ZXN0IHByaW9yaXR5LgoyMzg0ODJuMzc1IHJlbW92ZWQgc3Vic2NyaWJlcnM6IEFrbGFwcGVyLCBKQWxsZW1hbmRvdS4KQ29udGVudCBsaWNlbnNlZCB1bmRlciBDcmVhdGl2ZSBDb21tb25zIEF0dHJpYnV0aW9uLVNoYXJlQWxpa2UgMy4wIChDQy1CWS1TQSkgdW5sZXNzIG90aGVyd2lzZSBub3RlZDsgY29kZSBsaWNlbnNlZCB1bmRlciBHTlUgR2VuZXJhbCBQdWJsaWMgTGljZW5zZSAoR1BMKSBvciBvdGhlciBvcGVuIHNvdXJjZSBsaWNlbnNlcy4gQnkgdXNpbmcgdGhpcyBzaXRlLCB5b3UgYWdyZWUgdG8gdGhlIFRlcm1zIG9mIFVzZSwgUHJpdmFjeSBQb2xpY3ksIGFuZCBDb2RlIG9mIENvbmR1Y3QuILcgV2lraW1lZGlhIEZvdW5kYXRpb24gtyBQcml2YWN5IFBvbGljeSC3IENvZGUgb2YgQ29uZHVjdCC3IFRlcm1zIG9mIFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

238482n375 set Security to Software security bug.Jun 15 2018, 8:05 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Dzahn assigned this task to Aklapper.Jun 15 2018, 10:02 AM
Dzahn raised the priority of this task from Lowest to Low.
Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Dzahn removed a subscriber: 238482n375.
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 10:02 AM